<?php

date_default_timezone_set('America/Sao_Paulo');

if(!isset($_SESSION)) {
  session_start();
}

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
  require_once 'inc/regiao.php';
  $redirect = 'erpc_regiao_list.php';
  $regiao = regiao_create();
  if (isset($_POST['regiao'])) {
    $regiao = array_replace_recursive($regiao, $_POST['regiao']);
  }
  if (isset($_POST['btn-add'])) {
    $ok = regiao_insert($regiao);
    if ($ok === false) {
      $redirect = 'erpc_regiao_add.php';
    }
  } else if (isset($_POST['btn-edit'])) {
    $ok = regiao_update($regiao);
    if ($ok === false) {
      $redirect = 'erpc_regiao_edit.php?id=' . urlencode(base64_encode($regiao['id']));
    }
  } else if (isset($_POST['btn-remove'])) {
    $ok = regiao_delete($regiao);
    if ($ok === false) {
      $redirect = 'erpc_regiao_remove.php?id=' . urlencode(base64_encode($regiao['id']));
    }
  }
  header("Location:$redirect");
  exit;
}
